Git::Raw::Diff::Hunk(3pm)

NAME
Git::Raw::Diff::Hunk - Git diff hunk class

VERSION
version 0.90

DESCRIPTION
A Git::Raw::Diff::Hunk represents a hunk in a patch.

WARNING: The API of this module is unstable and may change without warning (any change will be appropriately documented in the changelog).

METHODS

  old_start( )
Starting line number in "old_file".

  old_lines( )
Number of lines in "old_file".

  new_start( )
Starting line number in "new_file".

  new_lines( )
Number of lines in "new_file".

  header( )
Header text.

AUTHOR
Alessandro Ghedini <alexbio@cpan.org>

Jacques Germishuys <jacquesg@cpan.org>

LICENSE AND COPYRIGHT
Copyright 2014 Alessandro Ghedini.

This program is free software; you can redistribute it and/or modify it under the terms of either: the GNU General Public License as published by the Free Software Foundation; or the Artistic License.

See http://dev.perl.org/licenses/ for more information.